Update Settlement Schedule(s)

Update / set a payout on a Merchant's Settlement Schedule(s).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

The following parameters are available to properly update / set payout on a settlement schedule.

parameter

description

required

idthe id of the settlement schedule to be updated
The settlement id can be found by using the 'Fetch Settlement Schedule' API call
Yes
nameyour name of the settlement schedule ()No
descriptiona description of the settlement schedule ()No
schedulethe desired schedule frequency of the settlement schedule
Possible request values are daily, weekly, monthly, and annually
No
schedule_factorthe multiplier to the settlement schedule
For example: A request with a daily schedule and a schedule factor of 2 will make settlements every other day, a schedule factor of 3 will settle every third day and so on
No
start_datethe start date of the updated settlement
Note: The date is in YYYYMMDD form and the dates must be Tuesday through Friday
No
amountthe desired amount to be settledNo
unit_of_measurethe unit of measure that the settlement is using to calculate how much is being settled
Possible request values are actual for a specific dollar amount being settled and percent for a percent amount being settled ()
No
minimumthe minimum amount required for a settlement to be made ()No
maximumthe maximum amount of a settlement ()No
floatthe minimum amount that is desired to stay inside of an account's balance ()No
off_daysindicates whether or not that holidays and weekends will create a settlement
Possible request values are 0 = do not skip off days and 1 = skip off days ()
No
same_dayindicates whether a settlement will be made the same day this update is requested
Possible request values are 0 = not same day and 1 = is same day ()
No
is_inactiveindicates whether or not the settlement schedule is active
Possible request values are 0 = active and 1 = inactive ()
No
is_frozenindicates whether or not the settlement schedule is frozen
Possible request values are 0 = not frozen and 1 = frozen ()
No
JSON Example

The following JSON example provides test values to update a settlement schedule. You can copy and paste these values in the Body Params section above to be used by the Try It feature

{
  [
    {
      "id": "{schedule_id}",
      "amount": 3.00
    },
    {
      "id": "{schedule_id}",
      "amount": 6.00
    }
  ]
}
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json